(function() {
    tinymce.create('tinymce.plugins.superlike', {
        init : function(ed, url) {
            ed.addButton('superlike', {
                title : 'SuperLike Button',
                image : url+'/images/shortcode.png',
                onclick : function() {
					ed.selection.setContent('[superlike]');
                }
            });
        },
        createControl : function(n, cm) {
            return null;
        },
    });
    tinymce.PluginManager.add('superlike', tinymce.plugins.superlike);
})();